{% extends "base.html" %}
{% load i18n %}

{% block title %}{% trans "Groups" %}{% endblock title %}

{% block content %}
<div class="container">
    <div class="row card-row">
        <div class="col-12 mx-auto my-auto">
            <div class="card">
                <div class="card-header text-center">
                    <h1>{% trans "Groups" %}</h1>
                </div>
                <div class="card-body">
                    <table id="jsTable" class="table table-striped nowrap" style="width: 100%;">
                        <thead>
                            <tr>
                                <th scope="col">{% trans "Group ID" %}</th>
                                <th scope="col">{% trans "Name" %}</th>
                                <th scope="col">{% trans "No. Members" %}</th>
                                <th scope="col">{% trans "Created on" %}</th>
                                <th scope="col">
                                    {% if perms.accounts.manage_groups %}
                                    <a class="btn btn-sm btn-success"
                                        href="{% url 'accounts:groups_create' %}?next={{ request.get_full_path }}" data-toggle="tooltip"
                                        title="{% trans 'Create Group' %}">
                                        <i class="fas fa-plus fa-fw"></i>
                                    </a>
                                    {% endif %}
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            {% for group in group_list %}
                            <tr>
                                <td>{{ group.pk }}</td>
                                <td>{{ group.name }}</td>
                                <td>{{ group.members.count }}</td>
                                <td>{{ group.created_on }}</td>
                                <td>
                                    <a class="btn btn-sm btn-info" href="{% url 'accounts:groups_detail' pk=group.pk %}"
                                        data-toggle="tooltip" title="{% trans 'View Group' %}">
                                        <i class="fas fa-eye fa-fw"></i>
                                    </a>
                                    {% if perms.accounts.manage_groups %}
                                    <a class="btn btn-sm btn-warning"
                                        href="{% url 'accounts:groups_edit' pk=group.pk %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Edit Group' %}">
                                        <i class="fas fa-pen fa-fw"></i>
                                    </a>
                                    <a class="btn btn-sm btn-danger"
                                        href="{% url 'accounts:groups_delete' pk=group.pk %}?next={{ request.get_full_path }}"
                                        data-toggle="tooltip" title="{% trans 'Delete Group' %}">
                                        <i class="fas fa-trash fa-fw"></i>
                                    </a>
                                    {% endif %}
                                </td>
                            </tr>
                            {% endfor %}
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock content %}